[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStringList.OnChanging

Event triggered when the list is about to be modified.

## Declaration

Source position: classesh.inc line 868

`public property TStringList.OnChanging : TNotifyEvent read FOnChanging write FOnChanging;`

## Description

OnChanging can be assigned to respond to changes that will occurred in the list. The handler is called whenever strings will be added, moved, modified or deleted from the list.

The Onchanging event is triggered before the modification will take place. When the modification has happened, an TstringList.OnChange event occurs.

## See also

TStringList.OnChange |  | Event triggered after the list was modified.